Getting started

The key features includes:

  1. Multi-currency Wallets - Fiat and Cryptocurrency
  2. Multi-level Customer Profiles
  3. Wallet Transfers, Withdrawals & Swaps
  4. Collection Accounts and Payouts
  5. Overdrafts
  6. Ledgers & Settlements
  7. Risk Mitigation Tools
API requests are required to be authenticated using the token generated from the authentication API.

QUERY/BODY PARAMETERS

Body data is required to be stringified, base64 encoded and passed using the Payload key.

Payload

string

Required(Where applicable)

A base64 encoded string of your request payload.

For example

A request with email_address as query/body parameter would be passed as
base64Encode({ "email_address":"johndoe@example.com" })

Response

Responses are returned as JSON with key "response" and would be required to be base64Decoded to reveal plain text response.

base64Decode(apiResponse.response)

Headers

Authentication headers are required to be passed using the key Credentials as a stringified JSON string containing Token and Request-Id.

Credentials

string

Required

Base64(JSON.stringify({ Token, RequestId }))

Your authentication header having your generated Token and Request-Id, stringified and base64 encoded.

Content-Type

string

Required

application/json

Authentication

Infrastructure

Creating Credential Header

The credential header is obtained by base64 encoding a JSON object containing your API generated Token and Request-Id.

Headers

{
  "Token": "UibaIbqOI3/ZZMoBhj6JwuntKEAN2yYwVJHtS2QQfo6izcSEji1FwYFm2xfhPp0qQQSKK5ZyS0SpMmGCfOG7xxehrmMsHQ00EkH3QFo0SBuc9VrElFxMKULwqLVfexFmwhwNLef7c2/pODIJeyBHM20JDTrd81bEP/PNcnfVAU0iNisuL43ss9C/akGegnaQ6XbaVdsSe7HfYbXnS9jOiWqEeUblfSH193dqkKAisIapcm9YDHOWpu84ci+PLZraetr/SEDqZuf1YiSLCdnqDc5FoulmuLTIteC94FKEY/MPj2wAFHaDJJOHlBmIJPQ7MMOgHRn9gC6sKxqaPFSgnfkbIyCnJlDBJv9mkXCZfZl9VgBv7GMfP8+qcF5HhxO4WfcQ67j7sSXPUFQ7f8gRGlJBVNemNmre6BqnYhcmrcCA51tnVFWfhmBGsoykqllNYEWK1tX7Be6X9ZNcZvUNbRSsUHsXphTW/nwZxB1hrkOaVtB1Ej1sI8cL7msjnv+/ba9u+1b3pDQNid4aURcybEf84ZHc1yQfhKpM/3xuPs2LFCIaETkFYFIKRPh0DJ28Msuv7DchCyXerBdIVsuD3EzF7Wm6rc",
  "Request-Id": "{{RandomAlphaNumericString}}"
}

The Credential object is base64 encoded and passed as the credential header to look like;

eyJUb2tlbiI6IkRpYmFJYnFPSTNcXFwvWlpNb0JoajZKd3VudEtFQU4yeVl3VkpIdFMyUVFmbzZpemNTRWppMUZ3WUZtMnhmaFBwMHFNUVNLSzVaeVMwU3BNbUdDZk9HN3h4ZWhybU1zSFEwMEVrSDNRRm8wU0J1YzlWckVsRnhNS1VOd3FMVmZleEZtd2h3TkxlZjdjMlxcXC9wT0RJSmV5QkhNMjBKRFRyZDh0YkVQXFxcL1BOY25mVkFVNGlOaXN1TDQzc3M5Q1xcXC9ha0dlZ25hUTZYYmFWZHNTZTdIZlliWG5TOWpPaUhxUWVVYmxmU0gxOTNkcWtLQWlzSWFwY205WURIT1dwdTg0Y2krUExacmFldHJcXFwvU0VEcVp1ZjFZaVNMQ2RucURjNUZvdWxtdUxUSXRlQzk0RktFWVxcXC9NUGoyd0FGSGFESkpPSGxCbUlKUFE3TU1PZ0hSbjlnQzZzS3hxYVBGU2duZmtiSXlDbkpsREJKdjlta1hDWmZTbDlWZ0J2N0dNZlA4K3djRjVIaHhPNFdmY1E2N2o3c1NYUFVGUTdmOGdSR2xKQlZOZW1ObXJlNkJxblloY21yY0NBNTF0blZGV2ZobUJHc295a3FsbE5ZRVdLMXRYN0JlNlg5Wk5jWnZVTmJSU3NVSHNYcGhUV1xcXC9ud1p4QjFocmtPYVZ0QjFFajFzSThjTDdtc2pduitcXFwvYmE5dSsxYjNwRFFOaWQ0YVVSY3liRWY4NFpIYzF5UWZoS3BNXFxcLzN4dVBzMkxGQ0lhRVRrRllGSUtSUGgwREoyOE1zdXY3RGNoQ3lYZXJCZElWc3VEM0V6RjdXbTZyYyIsIlJlcXVlc3QtSWQiOiI5OTM3ODkxOTI4MTA5MDQifQ==

Create Token

POST

Create an authentication token to be used for all subsequent API requests.

Live
https://api.sterllo.com/1.0/Auth/Token/Create
{
  "key": "4f050d3f-eb59-1d44-a0ca-a1a21818960e:3e2c8186-4232-4ff3-ad4a-40c4972f3ad4:9416dd6c-1f60-4dc3-a281-4e8036d836c3",
  "lifespan": 10
}

BODY PARAMETERS

Key

string

Required

A combination of User Client Key, Account Client Key and Account Private Key, separated by colon(:)

Lifespan

number

Required

Specifies how long in seconds the generated token should be active. Set Zero(0) for infinite

HEADERS

Credentials

string

Required

base64Encode({"Request-Id":"12345321"})

Base 64 stringified object containing the Request-Id

Content-Type

string

Required

application/json

Verify Token

GET

Verify authentication token created.

Live
https://api.sterllo.com/1.0/Auth/Token/Verify

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "is_persistent": true,
    "date": {
      "created": "2025-07-02 15:52:11",
      "expiry": null
    }
  }
}

Headers

Credentials

string

Required

base64Encode({"Token":"tROIP3...pCJBJfLO","Request-Id":"12345321"})

Base 64 stringified object containing the Request-Id and Token created above

Customers

Infrastructure

Create Customer

POST
https://api.sterllo.com/1.0/Customers/Create
{
  "type": "BUSINESS",
  "country_code": "NGA",
  "environment": "BAAS",
  "profile": {
    "bio": {
      "first_name": "JERAHMEEL",
      "middle_name": "OVIE",
      "surname": "ANIBOR",
      "date_of_birth": "1900-01-09",
      "nationality_code": "NGA"
    },
    "contacts": {
      "phone_number": "08123456789",
      "email_address": "name@name.com"
    }
  },
  "business": {
    "name": "Business name",
    "rn": "12345",
    "address": {
      "line": "No 4 Ozumba Mbadiwe",
      "city": "Lekki",
      "state": "Lagos"
    }
  },
  "reference": "123456789l_z13_a"
}

BODY PARAMETERS

environment

string

Required

The environment of the wallet; BAAS or SAAS.

type

string

Required

The type of the customer; PERSONAL or BUSINESS.

country_code

string

Required

The country of the customer.

reference

string

Required

A unique reference (250 chars max.) for this customer; used in identifying this customer.

profile.contacts.phone_number

string

Required

The phone number belonging to the customer.

profile.contacts.email_address

string

Required

The email address belonging to the customer.

profile.bio.first_name

string

Required

The customer's first name.

profile.bio.surname

string

Required

The customer's surname.

profile.bio.middle_name

string

The customer's middle name.

profile.bio.date_of_birth

string

Required

The customer's date of birth in YYYY-MM-DD format.

profile.bio.nationality_code

string

Required

The customers' nationality CCA3 country code.

profile.address.line

string

Requiredif type is PERSONAL

The address line of individual.

profile.address.state

string

Requiredif type is PERSONAL

The regional province of the individual.

profile.address.city

string

Requiredif type is PERSONAL

The city where the individual is located.

business.name

string

Required

The name of the business.

business.rn

string

Requiredif type is BUSINESS

The business registration number.

business.address.line

string

Requiredif type is BUSINESS

The address line of business.

business.address.state

string

Requiredif type is BUSINESS

The regional province of business.

business.address.city

string

Requiredif type is BUSINESS

The city where the business is located.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Add Customer

POST

Create a sub customer for an existing Business customer. This lets you create multi-level customer profiles.

https://api.sterllo.com/1.0/Customers/Add
{
  "customer": {
    "id": "951ee0be-640f-4ad0-9043-aafdc759af2c"
  },
  "type": "BUSINESS",
  "environment": "BAAS",
  "country_code": "NGA",
  "profile": {
    "bio": {
      "first_name": "JERAHMEEL",
      "middle_name": "OVIE",
      "surname": "ANIBOR",
      "date_of_birth": "1900-01-09",
      "nationality_code": "NGA"
    },
    "contacts": {
      "phone_number": "08123456789",
      "email_address": "name@name.com"
    }
  },
  "business": {
    "name": "Business name",
    "rn": "12345",
    "address": {
      "line": "No 4 Ozumba Mbadiwe",
      "city": "Lekki",
      "state": "Lagos"
    }
  },
  "reference": "123456789l_z13_a"
}

BODY PARAMETERS

customer.id

string

Required

The parent Business customer.

environment

string

Required

The environment of the wallet; BAAS or SAAS.

country_code

string

Required

The country (CCA3) of the customer.

type

string

Required

The type of the customer; PERSONAL or BUSINESS.

reference

string

Required

A unique reference (250 chars max.) for this customer; used in identifying this customer.

profile.contacts.phone_number

string

Required

The phone number belonging to the customer.

profile.contacts.email_address

string

Required

The email address belonging to the customer.

profile.bio.first_name

string

Required

The customer's first name.

profile.bio.surname

string

Required

The customer's surname.

profile.bio.middle_name

string

The customer's middle name.

profile.bio.date_of_birth

string

Required

The customer's date of birth in YYYY-MM-DD format.

profile.bio.nationality_code

string

Required

The customer's nationality CCA3 country code.

profile.address.line

string

Requiredif type is PERSONAL

The address line of individual.

profile.address.state

string

Requiredif type is PERSONAL

The regional province of the individual.

profile.address.city

string

Requiredif type is PERSONAL

The city where the individual is located.

business.name

string

Required

The name of the business.

business.rn

string

Requiredif type is BUSINESS

The business registration number.

business.address.line

string

Requiredif type is BUSINESS

The address line of business.

business.address.state

string

Requiredif type is BUSINESS

The regional province of business.

business.address.city

string

Requiredif type is BUSINESS

The city where the business is located.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Customer

GET

Get the paginated list of all customer profiles; filter by type, name and more.

https://api.sterllo.com/1.0/Customers/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "id": "951ee0be-640f-4ad0-9043-aafdc759af2c",
      "type": "PERSONAL",
      "environment": "BAAS",
      "profile": {
        "bio": {
          "first_name": "JERAH",
          "middle_name": null,
          "surname": "ANIBOR",
          "date_of_birth": "1992-10-19",
          "nationality": {
            "name": "NIGERIA",
            "code": "NGA",
            "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/flags/nga.png"
          }
        },
        "contacts": {
          "phone_number": "2348131533096",
          "email_address": "jerahanibor@gmail.com"
        },
        "address": {
          "state": "LAGOS",
          "city": "LEKKI",
          "line": "NO. 5, NEW STREET"
        }
      },
      "kyc": {
        "tier": 1,
        "status": false
      },
      "constraints": {
        "pnd": true
      },
      "status": "ACTIVE",
      "reference": "476L7iEFU03tma1mR49bVFxa69CWE1",
      "parent_reference": "arAsTjuKVKCCe6g1jEhNvepRY8PigZ",
      "date_created": "2025-10-29 14:48:38"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

type

string

PERSONAL or BUSINESS

reference

string

Pass the customer reference to fetch sub-customer

status

string

ACTIVE, INACTIVE, CLOSED

contacts.phone_number

string

Pass the phone number on the customer profile

contacts.email_address

string

Pass the email address on the customer profile

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Verify Customer

POST
https://api.sterllo.com/1.0/Customers/Verify
{
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

A customer reference provided upon creation.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update profile

POST
https://api.sterllo.com/1.0/Customers/Update/Profile
{
  "bio": {
    "first_name": "JERAHMEEL",
    "middle_name": "OVIE",
    "surname": "ANIBOR",
    "date_of_birth": "1900-01-09",
    "nationality_code": "NGA"
  },
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

A unique reference (250 chars max.) for this customer; used in identifying this customer.

bio.first_name

string

Required

The customers' first name.

bio.surname

string

Required

The customers' surname.

bio.middle_name

string

The customers' middle name.

bio.date_of_birth

string

Required

The customers' date of birth in YYYY-MM-DD format.

bio.nationality_code

string

Required

The customers' nationality CCA3 country code.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update Address

POST
https://api.sterllo.com/1.0/Customers/Update/Address
{
  "address": {
    "line": "No 4 Ozumba Mbadiwe",
    "city": "Lekki",
    "state": "Lagos"
  },
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

address.line

string

Required

The address line of customer.

address.state

string

Required

The regional province of the customer.

address.city

string

Required

The city where the customer is located.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update Email Address

POST
https://api.sterllo.com/1.0/Customers/Update/Contacts/Email-Address
{
  "email_address": "name@name.com",
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

email_address

string

Required

The new email address to update on the profile.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update Phone Number

POST
https://api.sterllo.com/1.0/Customers/Update/Contacts/Phone-Number
{
  "phone_number": "08131533096",
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

phone_number

string

Required

The new phone number to update on the profile.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update business name

POST
https://api.sterllo.com/1.0/Customers/Update/Business/Name
{
  "name": "Example Business",
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

name

string

Required

The Business name.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update business number

POST
https://api.sterllo.com/1.0/Customers/Update/Business/Name
{
  "number": "1234",
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

number

string

Required

The Business registration number .

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable PND

POST

This prevent debits on all wallets linked to a customer

https://api.sterllo.com/1.0/Customers/Constraints/PND/Enable
{
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable PND

POST

This removes debit restriction on all wallets linked to a customer

https://api.sterllo.com/1.0/Customers/Constraints/PND/Disable
{
  "reference": "123456789l_z1"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

KYC

Infrastructure

Get KYC Tiers

GET

See list KYC tiers and and applicable limit capacities.

https://api.sterllo.com/1.0/Customers/Tiers

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "tier": 1,
      "currency": {
        "code": "NGN",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "balance": {
        "min": 0,
        "max": 50000
      },
      "credit": {
        "range": {
          "min": 0,
          "max": 50000
        },
        "duration": {
          "daily": {
            "value": 50000,
            "volume": 0
          },
          "weekly": {
            "value": 0,
            "volume": 0
          },
          "monthly": {
            "value": 0,
            "volume": 0
          }
        }
      },
      "debit": {
        "range": {
          "min": 0,
          "max": 10000
        },
        "duration": {
          "daily": {
            "value": 50000,
            "volume": 0
          },
          "weekly": {
            "value": 0,
            "volume": 0
          },
          "monthly": {
            "value": 0,
            "volume": 0
          }
        }
      }
    }
  ]
}

QUERY PARAMETERS

country_code

string

Required

The country code for the KYC tier.

tier

number

The KYC tier 1, 2 or 3.

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Countries

GET

Fetch all countries.

Live
https://api.sterllo.com/1.0/Customers/Countries/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "name": "NIGERIA",
      "code": "NGA",
      "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/flags/nga.png"
    },
    ...
  ]
}

HEADERS

Credentials

string

Required

Your generated credential.

Verify Countries

POST

Verify a country.

Live
https://api.sterllo.com/1.0/Customers/Countries/Verify
{
  "country_code": "NGA"
}

BODY PARAMETERS

country_code

string

Required

The country code to verify.

HEADERS

Credentials

string

Required

Your generated credential.

Submit BVN

POST
https://api.sterllo.com/1.0/Customers/KYC/NG/BVN/Verify
{
  "bvn": "XXXXXXXXXXX",
  "reference": "123456789l_z13_a"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

bvn

string

Required

The BVN registered to the customer.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Submit NIN

POST
https://api.sterllo.com/1.0/Customers/KYC/NG/NIN/Submit
{
  "nin": "XXXXXXXXXXX",
  "reference": "123456789l_z13_a"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the customer profile.

nin

string

Required

The NIN registered to the customer.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Wallets

Infrastructure

Add Wallet

POST

Create a wallet for your customer.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Add
{
  "customer": {
    "id": "3a2a3s456789l"
  },
  "reference": "g234yD67893"
}

BODY PARAMETERS

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying its status.

customer.id

string

Required

The ID returned when you created the customer's profile. Create a customer profile

title

string

Some text to help you identify the wallet

currency_code

string

The currency code for the wallet. Defaults to the currency code of the customer's nationality's currency

constraints.pnd

string

Set true or false to enable or disable debits on the created wallet.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Query Wallet

POST

Get the details of the wallet using the reference provided on creation.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Query
{
  "reference": "GRhMO0xwJzTwunPGvzXethddLpMkUj"
}

BODY PARAMETERS

reference

string

Required

The reference you sent upon creating the wallet.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Supported Currencies

GET

Fetch all supported currencies.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Currencies/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "name": "NAIRA",
      "code": "NGN",
      "category": "FIAT",
      "region": {
        "name": "NIGERIA",
        "code": "NGA"
      },
      "symbol": "₦",
      "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
    },
    ...
  ]
}

QUERY PARAMETERS

category

string

FIAT or DIGITAL

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Wallets

GET

See list of wallets created; filter by customer reference, date, and more.

https://api.sterllo.com/1.0/Customers/Wallets/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "title": "REDBILLER TECHNOLOGIES LIMITED/CHECKOUT 1",
      "key": "42582e1f43cf4e4539bbaa466dbdeb",
      "environment": "BAAS",
      "reference": "SQcFvBQDSl6PVthH3izMxr4VIjhG4F",
      "currency": {
        "name": "NAIRA",
        "code": "NGN",
        "category": "FIAT",
        "symbol": "₦",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "customer": {
        "id": "b136b228-3d42-4a08-85a9-f76a63464e79",
        "contacts": {
          "email_address": "jerahanibor@gmail.com",
          "phone_number": "08131533096"
        }
      },
      "balances": {
        "actual": 4.95,
        "available": 4.95,
        "pending": 0,
        "dispute": 0,
        "locked": 0,
        "limits": {
          "min": 0,
          "max": 300000,
          "overdraft": {
            "max": 0,
            "balance": {
              "used": 0,
              "left": 0
            },
            "access": false,
            "status": false,
            "contract_code": null
          }
        }
      },
      "limits": {
        "credit": {
          "range": {
            "min": 0,
            "max": 50000
          },
          "duration": {
            "daily": {
              "value": 300000,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 4.95,
              "volume": 1
            },
            "duration": {
              "daily": {
                "value": 4.95,
                "volume": 1
              },
              "weekly": {
                "value": 4.95,
                "volume": 1
              },
              "monthly": {
                "value": 4.95,
                "volume": 1
              }
            }
          }
        },
        "debit": {
          "range": {
            "min": 0,
            "max": 50000
          },
          "duration": {
            "daily": {
              "value": 300000,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 0,
              "volume": 0
            },
            "duration": {
              "daily": {
                "value": 0,
                "volume": 0
              },
              "weekly": {
                "value": 0,
                "volume": 0
              },
              "monthly": {
                "value": 0,
                "volume": 0
              }
            }
          }
        }
      },
      "constraints": {
        "pnd": {
          "custom": false,
          "default": false
        },
        "pnc": {
          "custom": false,
          "default": false
        },
        "readonly": {
          "default": false
        }
      },
      "date_created": "2025-11-27 14:59:18",
      "date_modified": null
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

customer.id

string

The id returned when you created the customer profile. Create a customer profile

reference

string

The wallet reference returned at creation.

currency_code

string

See supported currency codes here

environment

string

BAAS or SAAS

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Verify Wallet

POST

Verify the wallet to get details on the wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Verify
{
  "wallet_key": "SrTTaPH6ozJif6cU1cIKgoXp0ZOlvQ"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet_key you received upon creating a wallet.

customer.id

string

The ID of the customer who owns the wallet.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update Email Address

POST
https://api.sterllo.com/1.0/Customers/Wallets/Update/Contacts/Email-Address
{
  "email_address": "name@name.com",
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet whose email is to be updated.

email_address

string

Required

The new email address to update on the profile.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Update Phone Number

POST
https://api.sterllo.com/1.0/Customers/Wallets/Update/Contacts/Phone-Number
{
  "phone_number": "234810000000",
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet whose email is to be updated.

phone_number

string

Required

The new phone number to update on the wallet.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Get Wallet Balance

GET

See the balance on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Balance/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "title": "REDBILLER TECHNOLOGIES LIMITED",
    "key": "46f1e210844ddc6397b7a564b11b54",
    "environment": "BAAS",
    "reference": "SFXZyUiH2SblyzYScXIvWaOC1A01wi",
    "currency": {
      "name": "NAIRA",
      "code": "NGN",
      "category": "FIAT",
      "symbol": "₦",
      "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
    },
    "customer": {
      "id": "b136b228-3d42-4a08-85a9-f76a63464e79",
      "contacts": {
        "email_address": "jerahanibor@gmail.com",
        "phone_number": "2348131533096"
      }
    },
    "balances": {
      "actual": 774.425,
      "available": 774.425,
      "pending": 0,
      "dispute": 0,
      "locked": 0,
      "limits": {
        "min": 0,
        "max": 300000,
        "overdraft": {
          "max": 0,
          "balance": {
            "used": 0,
            "left": 0
          },
          "access": false,
          "status": false,
          "contract_code": null
        }
      }
    },
    "date_created": "2025-11-27 11:31:43",
    "date_modified": null
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key returned on wallet creation

customer.id

string

The ID of the customer who owns the wallet.

HEADERS

Credentials

string

Required

Your generated credential.

Lock Wallet Balance

POST

Lock funds on a wallet.

https://api.sterllo.com/1.0/Customers/Wallets/Balance/Lock
{
  "wallet_key": "1dEGtP6q18oAW0upbAVTAr8uEoKrkJ",
  "amount": 1000
}

BODY PARAMETERS

amount

string

Required

The amount you want to lock.

wallet_key

string

Required

The wallet whose balance to lock.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable PND Constraint

POST

This prevent debits on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Constraints/PND/Enable
{
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to disable debits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable PND

POST

This removes debit restriction on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Constraints/PND/Disable
{
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to enable debits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable PNC Constraint

POST

This prevent credits to a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Constraints/PNC/Enable
{
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to disable credits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable PNC Constraint

POST

This removes credit restriction on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Constraints/PNC/Disable
{
  "wallet_key": "123456789l_z1"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to enable credits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Statement

GET

List all transactions by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Statement/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "type": "DEBIT",
      "service": "STAMP DUTY",
      "tag": "090110250726031628335647133108_STAMP_DUTY",
      "transaction": {
        "identifier": "202507260316447352479787602389",
        "amount": 50,
        "charge": 0,
        "vat": 0,
        "total": 50,
        "balances": {
          "opening": 31173.821875,
          "closing": 31123.821875
        },
        "status": "SUCCESSFUL",
        "reference": "DUTY_f54b91d5-ead7-46a1-89f6-1b9a28271818_18596",
        "date_created": "2025-07-26 03:16:44"
      }
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 10
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key on the of the wallet you'll like to add the VBA

category

string

Required

COMPLETED, PENDING, DISPUTE

type

string

CREDIT, DEBIT

status

string

SUCCESSFUL, REVERSED, LIENED, RECALLED

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Verify Transaction

POST

Get details of a single transaction.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Statement/Verify
{
  "category": "COMPLETED",
  "reference": "0987a65a4213_16_4",
  "wallet_key": "jDCbC76lgfFfhSQKA5rLYAGSZPWiFp"
}

BODY PARAMETERS

category

string

Required

The category of the transaction. COMPLETED, PENDING, DISPUTE

reference

string

Required

The transaction reference used on initiation

wallet_key

string

The transaction wallet key

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Wallet Registries

GET

See list of wallet ledgers.

https://api.sterllo.com/1.0/Customers/Wallets/Registries/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "charge": {
      "title": "REDBILLER TECHNOLOGIES LIMITED",
      "key": "e3ee7866da82e0f2f953a42e1adb83",
      "environment": "BAAS",
      "reference": "2197e1a1-67de-4019-8b1b-3c73f3296ab8",
      "currency": {
        "name": "NAIRA",
        "code": "NGN",
        "category": "FIAT",
        "symbol": "₦",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "contacts": {
        "email_address": null,
        "phone_number": null
      },
      "balances": {
        "actual": 0,
        "available": 0,
        "pending": 0,
        "dispute": 0,
        "locked": 0,
        "limits": {
          "min": 0,
          "max": 0,
          "overdraft": {
            "max": 0,
            "balance": {
              "used": 0,
              "left": 0
            },
            "access": false,
            "status": false,
            "contract_code": null
          }
        }
      },
      "limits": {
        "credit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 39,
              "volume": 6
            },
            "duration": {
              "daily": {
                "value": 0,
                "volume": 0
              },
              "weekly": {
                "value": 29,
                "volume": 5
              },
              "monthly": {
                "value": 29,
                "volume": 5
              }
            }
          }
        },
        "debit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 29,
              "volume": 1
            },
            "duration": {
              "daily": {
                "value": 29,
                "volume": 1
              },
              "weekly": {
                "value": 29,
                "volume": 1
              },
              "monthly": {
                "value": 29,
                "volume": 1
              }
            }
          }
        }
      },
      "constraints": {
        "pnd": {
          "custom": false,
          "default": false
        },
        "pnc": {
          "custom": false,
          "default": false
        },
        "readonly": {
          "default": false
        }
      },
      "date_created": "2025-11-27 11:31:43",
      "date_modified": null
    },
    "vat": {
      "title": "REDBILLER TECHNOLOGIES LIMITED",
      "key": "486ea7a46774ad5082b682fd492116",
      "environment": "BAAS",
      "reference": "3612661a-35bb-46ed-8e91-f41b0c3e154e",
      "currency": {
        "name": "NAIRA",
        "code": "NGN",
        "category": "FIAT",
        "symbol": "₦",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "contacts": {
        "email_address": null,
        "phone_number": null
      },
      "balances": {
        "actual": 0,
        "available": 0,
        "pending": 0,
        "dispute": 0,
        "locked": 0,
        "limits": {
          "min": 0,
          "max": 0,
          "overdraft": {
            "max": 0,
            "balance": {
              "used": 0,
              "left": 0
            },
            "access": false,
            "status": false,
            "contract_code": null
          }
        }
      },
      "limits": {
        "credit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 2.925,
              "volume": 6
            },
            "duration": {
              "daily": {
                "value": 0,
                "volume": 0
              },
              "weekly": {
                "value": 2.175,
                "volume": 5
              },
              "monthly": {
                "value": 2.175,
                "volume": 5
              }
            }
          }
        },
        "debit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 2.175,
              "volume": 1
            },
            "duration": {
              "daily": {
                "value": 2.175,
                "volume": 1
              },
              "weekly": {
                "value": 2.175,
                "volume": 1
              },
              "monthly": {
                "value": 2.175,
                "volume": 1
              }
            }
          }
        }
      },
      "constraints": {
        "pnd": {
          "custom": false,
          "default": false
        },
        "pnc": {
          "custom": false,
          "default": false
        },
        "readonly": {
          "default": false
        }
      },
      "date_created": "2025-11-27 11:31:43",
      "date_modified": null
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key of the ledger.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Settle Wallet Ledgers

POST

See list of wallet ledgers.

https://api.sterllo.com/1.0/Customers/Wallets/Ledgers/Settle
{
  "wallet_key": "jDCbC76lgfFfhSQKA5rLYAGSZPWiFp"
}

BODY PARAMETERS

wallet_key

string

Required

The customer wallet key.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Wallet Report

GET

Get report on all wallets on your account.

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "code": "CAD",
      "environments": {
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 15:35:12",
            "last": "2026-04-21 18:07:19"
          }
        }
      }
    },
    {
      "code": "NGN",
      "environments": {
        "bass": {
          "total": 6,
          "date": {
            "first": "2026-04-14 14:53:42",
            "last": "2026-04-20 14:03:52"
          }
        },
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 14:56:24",
            "last": "2026-04-14 15:55:22"
          }
        }
      }
    }
  ]
}

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Wallet Report Summary

GET

See a summary of all wallet activity by currency code.

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Summaries/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "code": "CAD",
      "environments": {
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 15:35:12",
            "last": "2026-04-21 18:07:19"
          }
        }
      }
    },
    {
      "code": "NGN",
      "environments": {
        "bass": {
          "total": 6,
          "date": {
            "first": "2026-04-14 14:53:42",
            "last": "2026-04-20 14:03:52"
          }
        },
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 14:56:24",
            "last": "2026-04-14 15:55:22"
          }
        }
      }
    }
  ]
}

QUERY PARAMETERS

currency_code

string

Required

Wallet currency code

customer.id

string

The id returned when you created the customer profile. Create a customer profile

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Wallet Balance Summary

GET

See a balance summary of all wallet of a specific currency code.

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Summaries/Balances/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "actual": 52829.34965,
    "available": 132829.34965,
    "pending": 1.8189894035458565e-12,
    "dispute": 0,
    "locked": 0,
    "limits": {
      "max": 16000000,
      "overdraft": {
        "max": 80000,
        "balance": {
          "used": 0,
          "left": 80000
        },
        "access": 6,
        "status": 4
      }
    }
  },
  "meta": {
    "total": 91
  }
}

QUERY PARAMETERS

currency_code

string

Required

Wallet currency code

customer.id

string

The id returned when you created the customer profile. Create a customer profile

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Export Wallet Statement

POST

Export wallet statement.

Statement

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Export/Transactions/Statement/CSV

Pending

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Export/Transactions/Pending/CSV

Dispute

https://api.sterllo.com/1.0/Customers/Wallets/Reports/Export/Transactions/Dispute/CSV
{
  "wallet_key": "oViQhDmUtuoQaNbEWBQ3u8W2u8Fsi3",
  "email_address": "name@name.com",
  "columns": [
    "OPENING_BALANCE",
    "CLOSING_BALANCE"
  ],
  "start_date": "2025-10-01 00:00:00",
  "end_date": "2025-11-30 23:59:59"
}

BODY PARAMETERS

wallet_key

string

Required

Wallet currency code

email_address

string

Required

The email address where the report should be sent

start_date

string

Required

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

Required

End date in yyyy-mm-dd hh:mm:ss

columns

string

An array of optional data columns to be provided. Possible values are: OPENING_BALANCE,CLOSING_BALANCE

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Overdraft

Infrastructure

Request Overdraft

POST

Make an overdraft request for a customer wallet

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Request
{
  "wallet_key": "UJvCjRk5QOCLwaaK9m5EkEoQ9Kc9Z8",
  "amount": 100000,
  "charge": {
    "type": "PERCENTAGE",
    "value": 0.015,
    "cap": {
      "value": 0
    }
  },
  "start_date": "2025-06-20 12:00:00",
  "end_date": "2025-07-20 23:59:59",
  "reference": "e9t8uBoNBBja0868BhT"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet where to apply the overdraft

amount

string

Required

The amount requested as overdraft

charge.type

string

Required

The charge type PERCENTAGE or FIXED

charge.value

string

Required

The amount to charge depending on the charge type provided

charge.cap.value

string

The maximum possible amount to be charged.

start_date

string

Required

The date the overdraft (if approved), should commence. Format is yyyy-mm-dd hh:mm:ss

end_date

string

Required

The date the overdraft (if approved), would end. Format is yyyy-mm-dd hh:mm:ss

reference

string

Required

The unique identifier for the overdraft request

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Overdraft Requests

GET

Fetch all overdrafts on your customer's wallets.

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "amount": 5000,
      "charge": {
        "type": "FIXED",
        "value": 0,
        "cap": {
          "value": 0
        }
      },
      "contract": {
        "code": "20250729224910001190",
        "status": "ACTIVE",
        "start_date": "2025-07-29 22:50:00",
        "end_date": "2025-08-20 15:00:00"
      },
      "status": "APPROVED",
      "reference": "qommg0N8qwCbM6oaW4jE9p3qYXGP38",
      "date_created": "2025-07-29 22:49:10",
      "date_modified": "2025-07-29 22:50:00"
    },
    ...
  ]
}

QUERY PARAMETERS

wallet_key

string

Required

Filter overdrafts by customer wallet

charge_type

string

Overdraft charge type

charge_method

string

The overdraft charge method

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Approve Overdraft Request

POST

Accept and approve an overdraft request

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Approve

Overdraft Security: Funds are placed in dispute and returned when the customer offsets the overdraft

{
  "source": {
    "wallet_key": "UJvCjRk5QOCLwaaK9m5EkEoQ9Kc9Z8"
  },
  "target": {
    "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp"
  },
  "reference": "9Gt8uBoNBBj0868BhT"
}

BODY PARAMETERS

source.wallet_key

string

Required

The wallet where overdraft security would be applied.

target.wallet_key

string

Required

The wallet where the overdraft is applied

reference

string

Required

The overdraft request reference

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Cancel Overdraft Request

POST

Cancel an overdraft request

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Cancel
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp",
  "reference": "ajqoiehooqwuoxcw024"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet for with the overdraft is requested

reference

string

Required

The overdraft request reference

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Decline Overdraft Request

POST

Decline an overdraft request

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Decline
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp",
  "reference": "n03hf7256h2byd2yegisbJUiY"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet for with the overdraft is requested

reference

string

Required

The overdraft request reference

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Terminate Overdraft

POST

Terminate an active overdraft

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Terminate
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp",
  "reference": "nq97g5283fggu682e23"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet for with the overdraft is active

reference

string

Required

The active overdraft reference

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Settle Overdraft

POST

Settle overdraft

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Settle
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp",
  "reference": "n03hf7256h2byd2yegisbJUiY"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet whose overdraft security needs to be settled

reference

string

Required

The reference to use the

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable Overdraft Access

POST

Enable overdraft functionality on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Access/Enable
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet key returned on wallet creation

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable Overdraft Access

POST

Disable overdraft functionality on a wallet

https://api.sterllo.com/1.0/Customers/Wallets/Overdraft/Access/Disable
{
  "wallet_key": "jDCbC76lghFfhPQKA5rLYAGSZPWiFp"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet key returned on wallet creation

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Deposits

Infrastructure

Fetch Deposits

GET

Fetch all deposits on a customer wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "sender": {
        "institution": {
          "name": null
        },
        "account": {
          "name": null,
          "number": "4000000196"
        }
      },
      "recipient": {
        "profile": {
          "id": "3788dc78-0829-4758-8ec9-11abf8a630be",
          "type": "PERSONAL",
          "name": "JERAHMEEL OVIE ANIBOR"
        },
        "transaction": {
          "wallet_key": "b3586789f8ded6c1c67aa01cd3106f",
          "institution": {
            "id": "cb9241c9-502b-4f2e-ae39-e2d00251d479",
            "name": "BEAMER MICROFINANCE BANK",
            "logo": "https://res.cloudinary.com/w22/image/upload/v1686931089/photos/institutions/nga/beamer.png"
          },
          "account": {
            "name": "JERAHMEEL OVIE ANIBOR",
            "number": "9000008881"
          },
          "amount": 500,
          "charge": 2.5,
          "vat": 0.1875,
          "settlement": 497.3125,
          "balances": {
            "opening": 966.3748125,
            "closing": 1463.6873125
          },
          "status": "SUCCESSFUL",
          "reference": "ad03fad5-5ccb-45a4-8be9-48185a193338",
          "date_created": "2025-11-26 15:37:58"
        }
      }
    },
    ...
  ]
}

QUERY PARAMETERS

wallet_key

string

Required

A wallet key whose deposit account to fetch.

currency_code

string

Required

The currency code of the payments

sender.bank.name

string

The sender bank name

sender.account.name

string

The sender account name

sender.account.number

number

The sender account number

collection.account.number

string

The receiving account number

pagination.page

number

The page number

pagination.limit

number

The number of the result set per page

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Verify Deposit

POST

Verify the deposit transaction made to a wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/Verify
{
  "currency_code": "NGN",
  "reference": "ad03fad5-5ccb-45a4-8be9-48185a193338",
  "notify": true
}

BODY PARAMETERS

currency_code

string

Required

The currency code of the transaction.

reference

string

Required

The deposit transaction reference.

notify

boolean

Set true to notify the callback set on your account.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Reverse Deposit

POST

Reverse funds received into a wallet from any of your deposit accounts.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/Reverse
{
  "currency_code": "NGN",
  "reference": "ad03fad5-5ccb-45a4-8be9-48185a193338"
}

BODY PARAMETERS

currency_code

string

Required

The currency code for the affected transaction.

reference

number

Required

The payment reference to reverse

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Addresses

GET

List all asset addresses by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/{ASSET}/Address/Fetch

Replace {ASSET} on the endpoint with any of the assets listed below

Supported Assets:

USDTUSDCBNBCNGNTRXETHSOL

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "blockchain": {
        "address": "0x9F7ea727F29b2de1BcaBB8D27e943Ce5C0d07514",
        "asset": "CNGN",
        "network": "ERC20"
      },
      "reference": "9sfkzLruaOLeZNVPLPXeDpJYYCgxuI"
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 10
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key linked to the address

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Deposits

GET

List all transactions by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/Digital/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "sender": {
        "address": "0x97eA097693e8A720575110948624FBC7BEf1f431"
      },
      "recipient": {
        "profile": {
          "id": "b136b228-3d42-4a08-85a9-f76a63464e79",
          "type": "BUSINESS",
          "name": "REDBILLER TECHNOLOGIES LIMITED"
        },
        "transaction": {
          "wallet_key": "c6897b52794aa029b3fd393eb33373",
          "blockchain": {
            "address": "0x221E78B48Ab17EDCF94a428A0E827C33FeEF6fC7",
            "asset": "CNGN",
            "network": "ERC20"
          },
          "amount": 1000,
          "charge": 0,
          "stamp_duty": 0,
          "vat": 0,
          "settlement": 1000,
          "hash": "0x62c81e13a7cd8bb3b2c2dc4ce1508e89fba02c466ec81e23c55e0c3114dc222b",
          "balances": {
            "opening": 0,
            "closing": 1000
          },
          "status": "SUCCESSFUL",
          "reference": "88e7a5b2-dbc6-4558-bdb4-fa550bdf141a",
          "date_created": "2025-11-27 14:06:31"
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key linked to the transaction

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Verify Deposit

POST

Get details of a single transaction.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/Verify
{
  "reference": "4eb9bf83-02fd-4d11-ab19-495b9ecb0a33"
}

BODY PARAMETERS

reference

string

Required

The transaction reference

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Add Address

POST

Add address to receive funds into a wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/{ASSET}/Address/Collections/Add

Replace {ASSET} on the endpoint with any of the assets listed below

Supported Assets:

USDTUSDCBNBCNGNTRXETHSOL
{
  "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6",
  "amount": 100,
  "lifespan": 60
}

BODY PARAMETERS

wallet_key

string

Required

The wallet for which the account is to be added.

network

string

Required

Call the currencies for supported networks

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Digital Collection Accounts

GET

See collection accounts added to a wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/{ASSET}/Address/Collections/Fetch

Replace {ASSET} on the endpoint with any of the assets listed below

Supported Assets:

USDTUSDCBNBCNGNTRXETHSOL

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "account": {
        "name": "REDBILLER TECHNOLOGIES LIMITED",
        "number": "9000002690"
      },
      "amount": 1000,
      "lifespan": 60,
      "reference": "mhoWbxTZW6qvZy1WVpaJk8Ovwkjg9F"
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 50
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet whose collection accounts to fetch

start_date

date

Start date in yyyy-mm-dd hh:mm:ss

end_date

date

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Deposit Accounts

GET

Fetch the deposit account for a customer wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/NGN/Accounts/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "institution": {
      "id": "cb9241c9-502b-4f2e-ae39-e2d00251d479",
      "name": "BEAMER MICROFINANCE BANK",
      "logo": "https://res.cloudinary.com/w22/image/upload/v1686931089/photos/institutions/nga/beamer.png"
    },
    "account": {
      "name": "JERAHMEEL OVIE ANIBOR",
      "number": "9000001710",
      "status": true
    },
    "reference": "Ky0T6X8drpjtlMDyCYxdfd3iUlqgCE"
  }
}

QUERY PARAMETERS

wallet_key

string

Required

A wallet key whose deposit account to fetch.

HEADERS

Credentials

string

Required

Your generated credential.

Enable Deposit Account

POST

This prevents deposits on a wallet.

https://api.sterllo.com/1.0/Customers/Wallets/Deposits/NGN/Accounts/Enable
{
  "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to enable deposits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable Deposit Account

POST

This removes deposit restriction on the wallet.

https://api.sterllo.com/1.0/Customers/Wallets/Deposits/NGN/Accounts/Disable
{
  "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6"
}

BODY PARAMETERS

wallet_key

string

Required

The wallet to disable deposits.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Add Collection Account

POST

Add a one-time account to receive funds into a wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Deposits/NGN/Accounts/Collections/Add
{
  "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6",
  "amount": 100,
  "lifespan": 60
}

BODY PARAMETERS

wallet_key

string

Required

The wallet for which the account is to be added.

amount

number

Required

The amount expected to be paid into the wallet

lifespan

number

Required

How long (seconds) you'll like the account to be active.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Collection Accounts

GET

See collection accounts added to a wallet.

https://api.sterllo.com/1.0/Customers/Wallets/Deposits/NGN/Accounts/Collections/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "account": {
        "name": "REDBILLER TECHNOLOGIES LIMITED",
        "number": "9000002690"
      },
      "amount": 1000,
      "lifespan": 60,
      "reference": "mhoWbxTZW6qvZy1WVpaJk8Ovwkjg9F"
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 50
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet whose collection accounts to fetch

start_date

date

Start date in yyyy-mm-dd hh:mm:ss

end_date

date

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Ledger

Infrastructure

Create Ledger

POST

Ledgers are credited whenever you withdraw funds from your customers' wallets. You can create multiple ledgers to suit your specific use cases. For clearer accounting, it's recommended to create a separate ledger for each service you offer.

Live
https://api.sterllo.com/1.0/Ledgers/Create
{
  "title": "Bills",
  "currency_code": "NGN",
  "environment": "BAAS",
  "reference": "123456789o"
}

BODY PARAMETERS

title

string

Required

Preferred alias for your operations wallet

currency_code

string

Required

The currency code for the operations wallet created

reference

string

Required

Unique alpha numeric identifier for your ledger

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Ledgers

GET

List all ledgers on your account.

Live
https://api.sterllo.com/1.0/Ledgers/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "title": "BILLS",
      "key": "wqV6Ntrgl4AdL0QZ418uLlrZWhbE42",
      "reference": "oJLAWkKFe25V7SsPh7zNpXMq2qhQB1",
      "environment": "BAAS",
      "currency": {
        "name": "NAIRA",
        "code": "NGN",
        "category": "FIAT",
        "region": {
          "name": "NIGERIA",
          "code": "NGA"
        },
        "symbol": "₦",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "balances": {
        "actual": 0,
        "available": 0,
        "pending": 0,
        "dispute": 0,
        "locked": 0,
        "limits": {
          "min": 0,
          "max": 0
        }
      },
      "limits": {
        "credit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 0,
              "volume": 0
            },
            "duration": {
              "daily": {
                "value": 0,
                "volume": 0
              },
              "weekly": {
                "value": 0,
                "volume": 0
              },
              "monthly": {
                "value": 0,
                "volume": 0
              }
            }
          }
        },
        "debit": {
          "range": {
            "min": 0,
            "max": 0
          },
          "duration": {
            "daily": {
              "value": 0,
              "volume": 0
            },
            "weekly": {
              "value": 0,
              "volume": 0
            },
            "monthly": {
              "value": 0,
              "volume": 0
            }
          },
          "cumulative": {
            "total": {
              "value": 0,
              "volume": 0
            },
            "duration": {
              "daily": {
                "value": 0,
                "volume": 0
              },
              "weekly": {
                "value": 0,
                "volume": 0
              },
              "monthly": {
                "value": 0,
                "volume": 0
              }
            }
          }
        }
      },
      "constraints": {
        "pnd": {
          "custom": false,
          "default": false
        },
        "pnc": {
          "custom": false,
          "default": false
        },
        "readonly": {
          "default": false
        }
      },
      "date_created": "2025-07-18 23:39:44",
      "date_modified": null
    },
    ...
  ]
}

HEADERS

Credentials

string

Required

Your generated credential.

Verify Ledger

POST

Get ledger details.

Live
https://api.sterllo.com/1.0/Ledgers/Verify
{
  "wallet_key": "wqV6Ntrgl4AdL0QZ418uLlrZWhbE42"
}

BODY PARAMETERS

wallet_key

string

Required

Preferred alias for your operations wallet

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Get Ledger Balance

GET

See the balance on a ledger

Live
https://api.sterllo.com/1.0/Ledgers/Balance/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "title": "BILLS",
    "key": "UJvCjRk5QOCLwaaK9m5EkEoQ9Kc9Z8",
    "reference": "rh42L51dTg87IDWVHY11PagYmggO7e",
    "currency": {
      "name": "NAIRA",
      "code": "NGN",
      "category": "FIAT",
      "symbol": "₦",
      "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
    },
    "balances": {
      "actual": 0,
      "available": 0,
      "pending": 0,
      "dispute": 0,
      "locked": 0,
      "limits": {
        "min": 0,
        "max": 0
      }
    },
    "date_created": "2025-06-25 19:24:09",
    "date_modified": null
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet_key returned on ledger creation

HEADERS

Credentials

string

Required

Your generated credential.

Lock Ledger Balance

POST

Lock funds on a ledger.

Live
https://api.sterllo.com/1.0/Ledgers/Balance/Lock
{
  "wallet_key": "1dEGtP6q18oAW0upbAVTAr8uEoKrkJ",
  "amount": 1000
}

BODY PARAMETERS

wallet_key

string

Required

The ledger wallet key.

amount

string

Required

The amount you want to lock.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Ledger Transactions

GET

List all transactions on your ledger.

Live
https://api.sterllo.com/1.0/Ledgers/Statement/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "type": "DEBIT",
      "service": "SETTLEMENT",
      "tag": "TEST",
      "transaction": {
        "identifier": "202507071840203723513600334166",
        "amount": 545,
        "charge": 0,
        "vat": 0,
        "total": 545,
        "balances": {
          "opening": 545,
          "closing": 0
        },
        "status": "SUCCESSFUL",
        "reference": "FffAru6EgjuoAljzApfbpr1z4OU4S0",
        "date_created": "2025-07-07 18:40:20"
      }
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 50
    }
  }
}

QUERY PARAMETERS

category

string

Required

COMPLETED, PENDING, DISPUTE

wallet_key

string

Required

The ledger wallet key

pagination.page

number

The page of the transaction

pagination.limit

number

The page size for your transaction

HEADERS

Credentials

string

Required

Your generated credential.

Verify Ledger Transactions

POST

Verify your ledger transaction.

Live
https://api.sterllo.com/1.0/Ledgers/Statement/Verify
{
  "category": "COMPLETED",
  "reference": "di271yhbi192791",
  "wallet_key": "jDCbC76lgfFfhSQKA5rLYAGSZPWiFp"
}

BODY PARAMETERS

category

string

Required

The category of the transaction. COMPLETED, PENDING, DISPUTE

reference

string

Required

The transaction reference

wallet_key

string

Required

The ledger wallet key

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Ledger Deposit Accounts

GET

Fetch the deposit account for a ledger.

Live
https://api.sterllo.com/1.0/Ledgers/Deposits/Fiat/NG/Accounts/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "institution": {
      "id": "cb9241c9-502b-4f2e-ae39-e2d00251d479",
      "name": "BEAMER MICROFINANCE BANK",
      "logo": "https://res.cloudinary.com/w22/image/upload/v1686931089/photos/institutions/nga/beamer.png"
    },
    "account": {
      "name": "JERAHMEEL OVIE ANIBOR",
      "number": "9000001710",
      "status": true
    },
    "reference": "Ky0T6X8drpjtlMDyCYxdfd3iUlqgCE"
  }
}

QUERY PARAMETERS

wallet_key

string

Required

A wallet key whose deposit account to fetch.

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Addresses

GET

List all asset addresses by wallet.

Live
https://api.sterllo.com/1.0/Ledgers/Deposits/Digital/{ASSET}/Address/Fetch

Replace {ASSET} on the endpoint with any of the assets listed below

Supported Assets:

USDTUSDCBNBCNGNTRXETHSOL

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "blockchain": {
        "asset": "CNGN",
        "network": "ERC20",
        "address": "0x01aa1c279d27cC9Fe3bE50ce0D0540e73f4aFCd0"
      },
      "reference": "EvHDp0fqTltEvD7Bpp5UlJak11sifh"
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 10
    }
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet key linked to the address

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Credit Ledger

POST
Live
https://api.sterllo.com/1.0/Ledgers/Deposits/Add
{
  "wallet_key": "578b210e3db5f186412b6e136bdd18",
  "transaction": {
    "amount": 500,
    "tag": "Funding",
    "reference": "OOGWW07ku5OSeTrPvZ51COoPcXujnn"
  }
}

BODY PARAMETERS

wallet_key

string

Required

The ledger wallet key

transaction.tag

string

Required

The description of the transaction

transaction.amount

string

Required

The amount to be credited to the ledger

transaction.reference

string

Required

Unique alpha numeric identifier used in crediting the ledger

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Withdraw from Ledger

POST
Live
https://api.sterllo.com/1.0/Ledgers/Withdraw
{
  "wallet_key": "578b210e3db5f186412b6e136bdd18",
  "transaction": {
    "amount": 500,
    "tag": "Withdrawal",
    "reference": "9zsfUv0dMyDWGKe7JUHnZxOjZj605p"
  }
}

BODY PARAMETERS

wallet_key

string

Required

The ledger wallet key

transaction.tag

string

Required

The description of the transaction

transaction.amount

string

Required

The amount to be debited from the ledger

transaction.reference

string

Required

Unique alpha numeric identifier used in debiting the ledger

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Ledger Report

GET

Get report on all ledgers on your account.

Live
https://api.sterllo.com/1.0/Ledgers/Reports/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "code": "CAD",
      "environments": {
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 15:35:12",
            "last": "2026-04-21 18:07:19"
          }
        }
      }
    },
    {
      "code": "NGN",
      "environments": {
        "bass": {
          "total": 6,
          "date": {
            "first": "2026-04-14 14:53:42",
            "last": "2026-04-20 14:03:52"
          }
        },
        "saas": {
          "total": 5,
          "date": {
            "first": "2026-04-14 14:56:24",
            "last": "2026-04-14 15:55:22"
          }
        }
      }
    }
  ]
}

HEADERS

Credentials

string

Required

Your generated credential.

Fetch Ledger Report Summary

GET

See a summary of all wallet activity by currency code.

Live
https://api.sterllo.com/1.0/Ledgers/Reports/Summaries/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "balances": {
      "actual": 52829.34965,
      "available": 132829.34965,
      "pending": 1.8189894035458565e-12,
      "dispute": 0,
      "locked": 0,
      "limits": {
        "max": 16000000,
        "overdraft": {
          "max": 80000,
          "balance": {
            "used": 0,
            "left": 80000
          },
          "access": 6,
          "status": 4
        }
      }
    },
    "limits": {
      "credit": {
        "range": {
          "max": 4950000
        },
        "duration": {
          "daily": {
            "value": 16000000,
            "volume": 0
          },
          "weekly": {
            "value": 0,
            "volume": 0
          },
          "monthly": {
            "value": 0,
            "volume": 0
          }
        },
        "cumulative": {
          "total": {
            "value": 172248.505425,
            "volume": 219
          },
          "duration": {
            "daily": {
              "value": 3327.75625,
              "volume": 35
            },
            "weekly": {
              "value": 3362.38125,
              "volume": 36
            },
            "monthly": {
              "value": 32213.957437499997,
              "volume": 58
            }
          }
        }
      },
      "debit": {
        "range": {
          "max": 2740000
        },
        "duration": {
          "daily": {
            "value": 16000000,
            "volume": 0
          },
          "weekly": {
            "value": 0,
            "volume": 0
          },
          "monthly": {
            "value": 0,
            "volume": 0
          }
        },
        "cumulative": {
          "total": {
            "value": 261272.59877499996,
            "volume": 262
          },
          "duration": {
            "daily": {
              "value": 1437,
              "volume": 49
            },
            "weekly": {
              "value": 1697,
              "volume": 63
            },
            "monthly": {
              "value": 4009,
              "volume": 149
            }
          }
        }
      }
    }
  },
  "meta": {
    "total": 91
  }
}

QUERY PARAMETERS

currency_code

string

Required

Wallet currency code

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Ledger Balance Summary

GET

See a balance summary of all wallet of a specific currency code.

Live
https://api.sterllo.com/1.0/Ledgers/Reports/Summaries/Balances/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "actual": 52829.34965,
    "available": 132829.34965,
    "pending": 1.8189894035458565e-12,
    "dispute": 0,
    "locked": 0,
    "limits": {
      "max": 16000000,
      "overdraft": {
        "max": 80000,
        "balance": {
          "used": 0,
          "left": 80000
        },
        "access": 6,
        "status": 4
      }
    }
  },
  "meta": {
    "total": 91
  }
}

QUERY PARAMETERS

currency_code

string

Required

Wallet currency code

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Export Ledger Statement

POST

Export wallet statement.

Statement

https://api.sterllo.com/1.0/Ledgers/Reports/Export/Transactions/Statement/CSV

Pending

https://api.sterllo.com/1.0/Ledgers/Reports/Export/Transactions/Pending/CSV

Dispute

https://api.sterllo.com/1.0/Ledgers/Reports/Export/Transactions/Dispute/CSV
{
  "wallet_key": "oViQhDmUtuoQaNbEWBQ3u8W2u8Fsi3",
  "email_address": "name@name.com",
  "columns": [
    "OPENING_BALANCE",
    "CLOSING_BALANCE"
  ],
  "start_date": "2025-10-01 00:00:00",
  "end_date": "2025-11-30 23:59:59"
}

BODY PARAMETERS

wallet_key

string

Required

Wallet currency code

email_address

string

Required

The email address where the report should be sent

start_date

string

Required

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

Required

End date in yyyy-mm-dd hh:mm:ss

columns

string

An array of optional data columns to be provided. Possible values are: OPENING_BALANCE, CLOSING_BALANCE

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Savings

GET

Get ledger's savings account.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e",
    "constraints": {
      "pnd": false,
      "pnc": false
    },
    "date_created": "2026-03-17 19:37:21"
  }
}

QUERY PARAMETERS

wallet_key

string

Required

The wallet_key returned on wallet creation

HEADERS

Credentials

string

Required

Your generated credential.

Get Savings Balance

GET

See the balance on a wallet

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Balance/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": {
    "actual": 890,
    "available": 890,
    "dispute": 0
  }
}

QUERY PARAMETERS

id

string

Required

The id returned on fetch savings

HEADERS

Credentials

string

Required

Your generated credential.

Get Statement

GET

Get savings statement.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Statement/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "type": "CREDIT",
      "transaction": {
        "amount": 50,
        "balances": {
          "opening": 840,
          "closing": 890
        }
      },
      "narration": "Interest paid on - JERAHMEEL OVIE ANIBOR/10001496408",
      "reference": "eb32aecb-2379-4032-ba2f-382bc1fe3762",
      "date_created": "2026-03-23 17:21:03"
    },
    ...
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 50
    }
  }
}

QUERY PARAMETERS

id

string

Required

The id of the savings account.

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Request Deposit

POST

Request deposits

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Deposits/Request
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e",
  "amount": 10,
  "reference": "c2HmzDYBvyGVWXGfYSk3HLtcUsyTKR"
}

BODY PARAMETERS

id

string

Required

The id of the savings account.

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying the transaction.

amount

number

Required

The amount to deposit.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Saving Deposits

GET

fetch deposits made to savings.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Deposits/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "source": {
        "wallet_key": "48cc52612ee8a588a215eca2d32bb5",
        "profile": {
          "id": "039515a1-b54a-4ecf-8b53-94e38971b3d5",
          "type": "PERSONAL",
          "name": "JERAHMEEL OVIE ANIBOR"
        },
        "transaction": {
          "amount": 5,
          "charge": {
            "default": 0,
            "custom": 0
          },
          "vat": {
            "value": 0,
            "included": false
          },
          "balances": {
            "opening": 6.5125,
            "closing": 1.5125
          },
          "status": "SUCCESSFUL",
          "reference": "mykyecKr8OkKvmr49zxDQKpqyII5qk",
          "date_created": "2026-03-30 13:02:39"
        }
      },
      "target": {
        "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
      }
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

id

string

The unique savings ID for a saving account.

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Withdraw Savings

POST

Initiate withdrawals from your savings.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Withdrawals/Request
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e",
  "amount": 50,
  "reference": "C6QDlctVjzmoiMFldxHOr4obbcVLL3"
}

BODY PARAMETERS

id

string

Required

The id of the savings account.

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying the transaction.

amount

number

Required

The amount to be withdrawn.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Withdrawals

GET

Fetch withdrawals.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Withdrawals/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "source": {
        "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
      },
      "target": {
        "wallet_key": "48cc52612ee8a588a215eca2d32bb5",
        "profile": {
          "id": "039515a1-b54a-4ecf-8b53-94e38971b3d5",
          "type": "PERSONAL",
          "name": "JERAHMEEL OVIE ANIBOR"
        },
        "transaction": {
          "amount": 5,
          "balances": {
            "opening": 6.5125,
            "closing": 11.5125
          },
          "status": "SUCCESSFUL",
          "reference": "T3BV8qR0WdnjUALmOqEhvgOm2i9GQ5",
          "date_created": "2026-03-30 13:16:58"
        }
      }
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

id

string

The unique savings ID for a saving account.

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable PND

POST

This prevent debits on a wallet

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Constraints/PND/Enable
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
}

BODY PARAMETERS

id

string

Required

The ID for the savings account.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable PND

POST

This removes debit restriction on a savings account

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Constraints/PND/Disable
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
}

BODY PARAMETERS

id

string

Required

The ID for the savings account.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Enable PNC

POST

This prevent credits to a savings account

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Constraints/PNC/Enable
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
}

BODY PARAMETERS

id

string

Required

The ID for the savings account.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Disable PNC

POST

This removes credit restriction on a savings account

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Constraints/PNC/Disable
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e"
}

BODY PARAMETERS

id

string

Required

The ID for the savings account.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Fixed Deposits

GET

Get Fixed deposit accounts.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Fixed-Deposits/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "id": "9fd86af5-4757-47b1-9742-2fb7f2a6be16",
      "title": "TEST",
      "product": {
        "name": "90 Days Less Than 5m",
        "code": "301"
      },
      "amount": 25,
      "tenure": 90,
      "interest": {
        "rate": 14,
        "accrued": 0
      },
      "balance": 25,
      "rollover": {
        "status": false,
        "type": null
      },
      "auto_settle": true,
      "status": "ACTIVE",
      "date": {
        "commenced": "2026-03-31 00:00:00",
        "maturity": "2026-06-29 00:00:00",
        "created": "2026-03-30 14:55:03",
        "modified": "2026-03-30 15:48:10"
      }
    },
    ...
  ]
}

QUERY PARAMETERS

id

string

Required

The wallet_key returned on wallet creation

status

string

Status of the fixed deposits

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Create Fixed Deposit

POST

Create a fixed deposit for a ledger

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Fixed-Deposits/Create
{
  "id": "b0e1cce6-c251-4afe-a01f-dde5727cb04e",
  "title": "Sample Investment",
  "product_code": 318,
  "amount": 10000,
  "start_date": "2026-01-20",
  "rollover": {
    "status": true,
    "type": "PRINCIPAL_AND_INTEREST"
  },
  "auto_settle": false
}

BODY PARAMETERS

id

string

Required

The id of the savings account.

title

string

Required

A readable identifier for your fixed deposit.

product_code

string

Required

Any product code from the list of fixed deposit products.

amount

number

Required

The amount to be fix.

start_date

date

yyyy-mm-dd The date from which the fixed deposit should commence.

rollover.status

boolean

The option to rollover proceeds from the investment.

rollover.type

boolean

PRINCIPAL & PRINCIPAL_AND_INTEREST

auto_settle

boolean

Set to weather to auto settle on maturity.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Topup Fixed Deposits

POST

Topup fixed deposits.

Live
https://api.sterllo.com/1.0/Ledgers/Savings/NGN/Fixed-Deposits/Top-Up
{}

BODY PARAMETERS

id

string

The unique savings ID for a saving account.

amount

number

Required

The amount to be topup fix deposit.

HEADERS

Credentials

string

Required

Your generated credential.

Liquidate Fixed Deposit

POST

Liquidate the part or all of the funds in your fixed deposit

Live
https://api.sterllo.com/1.0/ledgers/Savings/NGN/Fixed-Deposits/Liqidate
{}

BODY PARAMETERS

id

string

The unique savings ID for a saving account.

amount

number

Required

The amount to be topup fix deposit.

HEADERS

Credentials

string

Required

Your generated credential.

Update Fixed Deposit

POST

Update ledger fixed deposits

Live
https://api.sterllo.com/1.0/Ledger/Savings/NGN/Fixed-Deposits/Update
{}

BODY PARAMETERS

id

string

Required

The id of the savings account.

title

string

Required

A readable identifier for your fixed deposit.

rollover.status

boolean

The option to rollover proceeds from the investment.

rollover.type

boolean

PRINCIPAL & PRINCIPAL_AND_INTEREST

auto_settle

boolean

Set to weather to auto settle on maturity.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Payments

Infrastructure

Request Withdrawal

POST

Initiate a withdrawal.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Withdrawals/Request
{
  "amount": 1,
  "source": {
    "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6"
  },
  "target": {
    "wallet_key": "vHPiVF00nj7fLaIkxMhgcB3hVsPydc"
  },
  "reference": "2KMnuIbhvy1yDR2MTrqmQ66hHtQB0n"
}

BODY PARAMETERS

amount

number

Required

Amount to be withdrawn

charge

number

Amount to charge the customer

vat.include

bool

If true, total debit includes VAT

source.wallet_key

string

Required

The wallet key of the wallet you're withdrawing from

target.wallet_key

string

Required

The ledger wallet key to receive the funds.

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying the withdrawal.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Withdrawals

GET

List all transactions by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Withdrawals/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "environment": "BAAS",
      "amount": 20,
      "currency": {
        "code": "NGN",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "source": {
        "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6",
        "profile": {
          "id": "c6c09d5d-f3d3-4df5-a8b5-fbcfa37d8e45",
          "type": "BUSINESS",
          "name": "REDBILLER TECHNOLOGIES LIMITED"
        },
        "transaction": {
          "charge": {
            "default": 6,
            "custom": 5
          },
          "vat": {
            "value": 0.825,
            "included": false
          },
          "balances": {
            "opening": 292.8546875,
            "closing": 266.0296875
          },
          "reference": "AU5e2P1tOteLFDJjPA4xVUI2YFBw7F"
        }
      },
      "target": {
        "wallet_key": "J54vt2YCEk7nJtievG6exWMZle6nY2",
        "transaction": {
          "charge": 4,
          "vat": {
            "value": 0.3,
            "included": false
          },
          "balances": {
            "opening": 596.199390625,
            "closing": 616.199390625
          },
          "reference": "1a8cca66-bd8f-4a2f-892b-b6e4f19efd3a"
        }
      },
      "status": "SUCCESSFUL",
      "date_created": "2025-11-24 12:56:48"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

source.wallet_key

string

The wallet key linked to the transaction

source.customer.id

string

The customer ID linked to the transaction

source.customer.type

string

The wallet key linked to the transaction

target.wallet_key

string

The wallet key linked to the transaction

status

string

SUCCESSFUL, REVERSED, LIENED, RECALLED

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Verify Withdrawal

POST

Get details of a single transaction.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Withdrawals/Verify
{
  "reference": "zUGFI0vcq9Rnhv3hXBqJ9DQVWQ1qss"
}

BODY PARAMETERS

category

string

Required

The category of the transaction. COMPLETED, PENDING, DISPUTE

reference

string

Required

The transaction reference used on initiation

wallet_key

string

The transaction wallet key

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Reverse Withdrawal

POST

Initiate a reversal for a previously initiated withdrawal.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Withdrawals/Reverse
{
  "reference": "VGWYdijpt1u01zanneBBVhbCZBk2QG"
}

BODY PARAMETERS

reference

string

Required

The transaction reference used on initiation

wallet_key

string

The wallet linked to the transaction

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Request Transfer

POST

Initiate a transfer between wallets.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Transfers/Request
{
  "amount": 1,
  "source": {
    "wallet_key": "ZoxKce46zglZSScsKRDMcIqVvd4wp6"
  },
  "target": {
    "wallet_key": "vHPiVF00nj7fLaIkxMhgcB3hVsPydc"
  },
  "reference": "2KMnuIbhvy1yDR2MTrqmQ66hHtQB0n"
}

BODY PARAMETERS

amount

number

Required

Amount to be transferred

source.charge

number

Amount to charge the customer

source.vat.include

bool

If true, total debit includes VAT

target.charge

number

Amount to charge the customer

target.vat.include

bool

If true, total credit includes VAT

source.wallet_key

string

Required

The wallet that sends the money

target.wallet_key

string

Required

Wallet that receives the money

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying the transaction.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Transfers

GET

List all transactions by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Transfers/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "environment": "BAAS",
      "amount": 20,
      "currency": {
        "code": "NGN",
        "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/ngn.png"
      },
      "source": {
        "wallet_key": "b3586789f8ded6c1c67aa01cd3106f",
        "profile": {
          "id": "3788dc78-0829-4758-8ec9-11abf8a630be",
          "type": "PERSONAL",
          "name": "JERAHMEEL OVIE ANIBOR"
        },
        "transaction": {
          "charge": {
            "default": 5,
            "custom": 3
          },
          "vat": {
            "value": 0.6,
            "included": false
          },
          "balances": {
            "opening": 74.3310625,
            "closing": 45.7310625
          },
          "reference": "cstEgygcI3fYG469Qt4YzBAmvmJf33"
        }
      },
      "target": {
        "wallet_key": "vHPiVF00nj7fLaIkxMhgcB3hVsPydc",
        "profile": {
          "id": "bf3ff7a2-54f6-4a32-8796-780b52913235",
          "type": "PERSONAL",
          "name": "NICHOLAS YASHIM"
        },
        "transaction": {
          "charge": {
            "default": 10,
            "custom": 4
          },
          "vat": {
            "value": 1.05,
            "included": false
          },
          "balances": {
            "opening": 193.375,
            "closing": 198.325
          },
          "reference": "0a11f843-1a7f-44c9-929c-a80013158d14"
        }
      },
      "status": "SUCCESSFUL",
      "date_created": "2025-11-24 15:58:52"
    }
  ],
  "meta": {
    "pagination": {
      "page": 1,
      "limit": 1
    }
  }
}

QUERY PARAMETERS

environment

string

The environment of the transfer

source.wallet_key

string

The wallet key of the sender

source.customer.type

string

The sender customer type

source.customer.identifier

string

The sender customer identifier

target.wallet_key

string

The wallet key of the recipient

target.customer.type

string

The recipient customer type

target.customer.identifier

string

The recipient customer identifier

status

string

SUCCESSFUL, REVERSED, LIENED, RECALLED

start_date

string

Start date in yyyy-mm-dd hh:mm:ss

end_date

string

End date in yyyy-mm-dd hh:mm:ss

pagination.page

number

Jump to any page of your choice you wish to retrieve.

pagination.limit

number

Specify the number of records you wish to retrieve per page. Maximum of 100.

HEADERS

Credentials

string

Required

Your generated credential.

Verify Transfer

POST

Get details of a single transaction.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Transfers/Verify
{
  "reference": "C67zD1mo7BFpQjXTBY0AX5Wh3whgjJ"
}

BODY PARAMETERS

reference

string

Required

The transaction reference used on initiation

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Reverse Transfer

POST

Initiate a reversal for a previously initiated transfer.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Transfers/Reverse
{
  "reference": "xGsWz14iMsSS7N7v2GLqiS7obH3AtV"
}

BODY PARAMETERS

reference

string

Required

The transaction reference used on initiation

wallet_key

string

The wallet linked to the transaction

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Request Swap

POST

Initiate an exchange between two different currency wallets.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Swaps/Request
{
  "target": {
    "amount": 2,
    "wallet_key": "xTBSy0N4JBk9z0y8eK0gwdl4dpK92j",
    "ledger": {
      "wallet_key": "ThHB4YT3vll9bst875jXfjy8h8GOgk"
    }
  },
  "source": {
    "amount": 10,
    "ledger": {
      "wallet_key": "uyrc4PYeNqxXDjlv7r9uIBW4ULTO0B"
    },
    "wallet_key": "428EjmPs69IGAlJv4jAVzEWsLmaIFS"
  },
  "reference": "NSn0H8yn9MBVxbfR6S54tXYCRPxiMR"
}

BODY PARAMETERS

source.from

string

Required

The wallet to debit

source.to

string

Required

The wallet to credit

source.amount

string

Required

Amount to be debited

source.charge

number

Amount to charge the customer

source.vat.include

bool

If true, total debit includes VAT

target.from

string

Required

The wallet to debit

target.to

string

Required

The wallet to credit

target.amount

string

Required

Amount to be credited

target.charge

number

Amount to charge the customer

target.vat.include

bool

If true, total credit includes VAT

reference

string

Required

A unique reference (250 chars max.) for this transaction; can be used in querying the transaction.

HEADERS

Credentials

string

Required

Your generated credential.

Content-Type

string

Required

application/json

Fetch Swaps

GET

List all transactions by wallet.

Live
https://api.sterllo.com/1.0/Customers/Wallets/Swaps/Fetch

Response

{
  "code": 2000,
  "state": true,
  "message": "Successful.",
  "data": [
    {
      "environment": "BAAS",
      "source": {
        "amount": 10,
        "currency": {
          "code": "GHS",
          "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/.png"
        },
        "from": {
          "wallet_key": "428EjmPs69IGAlJv4jAVzEWsLmaIFS",
          "profile": {
            "id": "693877e1-07e1-4b1d-860c-10e20699ec63",
            "type": "BUSINESS",
            "name": "REDBILLER TECHNOLOGIES LIMITED"
          },
          "transaction": {
            "charge": {
              "default": 0.05,
              "custom": 0
            },
            "vat": {
              "value": 0.00375,
              "included": false
            },
            "balances": {
              "opening": 821.56523075,
              "closing": 811.51148075
            },
            "reference": "4iTsdewKQoFmalpubil12J8Z8h8LsG"
          }
        },
        "to": {
          "wallet_key": "uyrc4PYeNqxXDjlv7r9uIBW4ULTO0B",
          "profile": {
            "id": "693877e1-07e1-4b1d-860c-10e20699ec63",
            "type": "BUSINESS",
            "name": "REDBILLER TECHNOLOGIES LIMITED"
          },
          "balances": {
            "opening": 162.30976925,
            "closing": 172.36351925
          },
          "reference": "2de721a4-d28b-4602-b4b9-8a9069850b96"
        }
      },
      "target": {
        "amount": 2,
        "currency": {
          "code": "NGN",
          "flag": "https://res.cloudinary.com/w22/image/upload/v1663783641/photos/currencies/.png"
        },
        "from": {
[...]
